Subject: Re: [bpf-next V3 PATCH 0/5] tools/libbpf improvements and selftests

From: Jesper Dangaard Brouer <[email-masked]>
Date: Fri, 9 Feb 2018 09:18:47 +0100

On Fri, 9 Feb 2018 02:32:27 +0100
Daniel Borkmann <[email-masked]> wrote:

> On 02/08/2018 12:48 PM, Jesper Dangaard Brouer wrote:
> > While playing with using libbpf for the Suricata project, we had
> > issues LLVM >= 4.0.1 generating ELF files that could not be loaded
> > with libbpf (tools/lib/bpf/).
> > 
> > During the troubleshooting phase, I wrote a test program and improved
> > the debugging output in libbpf.  I turned this into a selftests
> > program, and it also serves as a code example for libbpf in itself.
> > 
> > I discovered that there are at least three ELF load issues with
> > libbpf.  I left them as TODO comments in (tools/testing/selftests/bpf)
> > test_libbpf.sh. I've only fixed the load issue with eh_frames, and
> > other types of relo-section that does not have exec flags.  We can
> > work on the other issues later.  
> 
> Applied it to bpf tree, thanks Jesper!

Thank you for applying this the 'bpf' tree! -- appreciate it!

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer